Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 602218 - dev-cpp/gtest-1.8.0 version bump
Summary: dev-cpp/gtest-1.8.0 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Peter Levine
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-10 07:39 UTC by Jonas Stein
Modified: 2017-08-29 20:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Thomas Kahle (RETIRED) gentoo-dev 2016-12-10 22:14:21 UTC
Mathy,
are you interested in working on this?  

As mentioned on dev-ml, this bump would probably need a unification of gtest and gmock with consequences for the dep graph.

However, there was some discussion, if we want to go forward with this package at all. This should not be shipped by a distribution:
https://github.com/google/googletest/blob/master/googletest/docs/Primer.md
Whoever wants to use it should ship it with their software.

Fixing the packages that depend on it and then last-rite could be the way forward.
Comment 2 Peter Levine 2017-08-21 05:16:51 UTC
PR: https://github.com/gentoo/gentoo/pull/5491
Comment 3 Patrice Clement gentoo-dev 2017-08-29 20:31:05 UTC
PR merged. Thanks Peter!